Package com.plannaplan.types

# Enum WeekDay

java.lang.Object
java.lang.Enum<WeekDay>
com.plannaplan.types.WeekDay

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WeekDay>`, `java.lang.constant.Constable`

    public enum WeekDay
    extends java.lang.Enum<WeekDay>

WeekDay contains types: MONDAY(0), TUESDAY(1), WEDNESDAY(2), THURSDAY(3), FRIDAY(4), SATURDAY(5), SUNDAY(6).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`FRIDAY` |
`MONDAY` |
`SATURDAY` |
`SUNDAY` |
`THURSDAY` |
`TUESDAY` |
`WEDNESDAY` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `label` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static WeekDay` | `getDay​(int index)` |
`static WeekDay` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static WeekDay[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MONDAY

public static final WeekDay MONDAY

### TUESDAY

public static final WeekDay TUESDAY

### WEDNESDAY

public static final WeekDay WEDNESDAY

### THURSDAY

public static final WeekDay THURSDAY

### FRIDAY

public static final WeekDay FRIDAY

### SATURDAY

public static final WeekDay SATURDAY

### SUNDAY

public static final WeekDay SUNDAY

## Field Details

### label

public final int label

## Method Details

### values

public static WeekDay[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static WeekDay valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

### getDay

public static WeekDay getDay​(int index)